#ifndef __RADIOH__
#define __RADIOH__
#include <Nordic\reg24lu1.h>
#include <stdint.h>
#include <stdbool.h>

#define RF_IDLE 0x00
#define RF_BUSY 0xff

#define RF_READY_INT_VECT 9
extern uint8_t radio_status;
extern xdata uint8_t packet[18]; 
void radio_init();
uint8_t radio_get_received_packet(void);
void radio_send_packet(uint8_t *, uint8_t);

uint8_t get_radio_status();
void set_radio_mode(uint8_t);
uint8_t radio_read_data(uint8_t *rx_data);

#endif
